Your message dated Tue, 10 Jun 2008 02:43:49 +0400
with message-id <[EMAIL PROTECTED]>
and subject line Re: Bug#485422: john: cannot use either --rules or --test 
options
has caused the Debian Bug report #485422,
regarding john: explain better the use of --rules and --test
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [EMAIL PROTECTED]
immediately.)


-- 
485422: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=485422
Debian Bug Tracking System
Contact [EMAIL PROTECTED] with problems
--- Begin Message ---
Package: john
Version: 1.7.2-3
Severity: normal

$ /usr/sbin/john -test ~/mypasswd 
Created directory: /home/pot/.john
Invalid options combination or duplicate option: "-test"

$ /usr/sbin/john --test ~/mypasswd 
Invalid options combination or duplicate option: "--test"

$ /usr/sbin/john -rules ~/mypasswd 
Invalid options combination or duplicate option: "-rules"

$ /usr/sbin/john --rules ~/mypasswd 
Invalid options combination or duplicate option: "--rules"

$ /usr/sbin/john ~/mypasswd 
Loaded 7 password hashes with 6 different salts (FreeBSD MD5 [32/64 X2])
cng              (cng)
lp               (lp)


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'testing-proposed-updates')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, [EMAIL PROTECTED] (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set 
to C)
Shell: /bin/sh linked to /bin/bash

Versions of packages john depends on:
ii  john-data               1.7.2-3          active password cracking tool - ch
ii  libc6                   2.7-10           GNU C Library: Shared libraries
ii  libssl0.9.8             0.9.8g-10+lenny1 SSL shared libraries

john recommends no packages.

-- debconf information:
  john/noconfigfile:
  john/wordlist: /usr/share/john/password.lst
  john/cronjob: false
  john/cronjob-replacement: true
  john/no-replacement:



--- End Message ---
--- Begin Message ---
On Mon, Jun 09, 2008 at 03:31:32PM +0200, David Paleino wrote:
> --rules does "word mangling" on words passed from a wordlist.
> That is, if you have "pass", with --rules, john also tries:
> 
> Pass
> pAss
> paSs
> pasS
> ...
> PASS

Actually, that (by far) not what the default set of wordlist rules would
produce.  Here's what it really does:

amd!solar:~$ cat w 
pass
amd!solar:~$ john -w=w -ru -stdo
pass
Pass
passes
pass1
Pass1
passpass
ssap
1pass
PASS
pass2
pass!
pass3
pass7
pass9
pass5
pass4
pass8
pass6
pass0
pass.
pass?
PassPass
ssaP
Ssap
passssap
pasS
2pass
4pass
Pass2
Pass!
Pass3
Pass9
Pass5
Pass7
Pass4
Pass6
Pass8
Pass.
Pass?
Pass0
3pass
7pass
9pass
5pass
6pass
8pass
Passes
passed
passing
Passed
Passing
words: 51  time: 0:00:00:00 100%  w/s: 2550  current: Passing

Alexander


--- End Message ---
-- 
Pkg-john-devel mailing list
Pkg-john-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-john-devel

Reply via email to